Bug 457208 - RHEL5.2-GA GUI installation failed on Intel Montevina platform
RHEL5.2-GA GUI installation failed on Intel Montevina platform
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
i386 Linux
low Severity urgent
: rc
: ---
Assigned To: Adam Jackson
: OtherQA, Patch
Depends On:
Blocks: 428015
  Show dependency treegraph
Reported: 2008-07-30 05:27 EDT by Jane Lv
Modified: 2009-06-20 01:03 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 16:28:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/tmp/ramfs/X.log (31.53 KB, text/plain)
2008-08-05 05:21 EDT, Jane Lv
no flags Details
/tmp/Xconfig.test (740 bytes, text/plain)
2008-08-05 05:22 EDT, Jane Lv
no flags Details
Patch for fixing GUI installation issue (1009 bytes, patch)
2008-09-23 02:58 EDT, Jane Lv
no flags Details | Diff

  None (edit)
Description Jane Lv 2008-07-30 05:27:35 EDT
Description of problem:
Install RHEL5.2-GA Client release (RHEL5.2-Client-20080516.6-x86_64-DVD.iso) by
using CD on Intel Montevina platform with Intel Cantiga graphics driver.  After
probing Intel Cantiga graphics, the screen went to black.

Since RHEL5.2 client GA has been updated after the first announcement.  I tested
the previous "GA", RHEL5.2-Client-20080430.6-x86_64-DVD.iso, it works fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Burn ISO image in a CD, RHEL5.2-Client-20080516.6-x86_64-DVD.iso.
2. Insert the CD into CDROM and reboot machine.
3. Press "enter" to go to the GUI installation
Actual results:
Screen went to black after probing graphics driver.

Expected results:
GUI installation can be successful.

Additional info:
Comment 1 Jane Lv 2008-08-05 05:21:02 EDT
Created attachment 313435 [details]
Comment 2 Jane Lv 2008-08-05 05:22:54 EDT
Created attachment 313436 [details]

X config file used by installer.
Comment 3 Jane Lv 2008-08-22 10:01:24 EDT
We did some debugging here. RHEL5.2 GA GUI installation works on 2 Montevina product laptops, Compaq 6530b and HP 2230s. This issue only happens on Intel SDV machines.

On Montevina SDV machine, if we replace the LCD monitor with the CRT monitor, GUI installation works.
Comment 4 Denise Dumas 2008-08-28 14:51:39 EDT
This is looking more like X and less like anaconda - Ajax, can you please take a look?
Comment 5 Jane Lv 2008-09-23 02:58:12 EDT
Created attachment 317441 [details]
Patch for fixing GUI installation issue

The attached patch can fix this problem.  dpll_reg is needed to be initialized for VGA.  This patch is already in upstream.
Comment 6 RHEL Product and Program Management 2008-10-06 18:35:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 8 Jane Lv 2008-10-08 22:18:06 EDT

Could you please make sure this patch getting into RHEL5.3?  Otherwise, GUI installation of RHEL5.3 might have the same issue on Montevina.  Thanks much!
Comment 9 Gary Case 2008-10-09 11:04:28 EDT
I tried testing 5.3 installation (x86_64, 20081006.0 tree) on my Montevina SDV. I don't get graphics at boot time, I just receive a "Signal Over Range" error from my LCD panel. Post-install I can get graphics on startx, but the "Signal Over Range" error from the panel persists.
Comment 10 Gary Case 2008-10-13 14:55:27 EDT
I tested a real Montevina-based system (Lenovo T400) in Intel video mode and was able to install and boot the 5.3 1006.0 build (-118.el5 kernel, 32-bit and 64-bit, both xen and bare metal) with no graphics problems. Maybe the problems on the SDV are unique to that test platform?
Comment 11 Jane Lv 2008-10-15 02:34:12 EDT
This problem is related to the LCD monitor with Montevina. The real Montevina products are all laptops with LVDS monitor. So this bug will not happen there.   But I do suggest to add this patch in RH code since it will align with the upstream code.  Also, without this patch, the GUI installation testing on Montevina SDV will be blocked and further for future Intel mobile chip based SDVs.
Comment 12 Adam Jackson 2008-10-15 11:28:33 EDT
Built xorg-x11-drv-i810-1.6.5-9.18.el5.

Comment 15 Chris Ward 2008-11-28 02:15:16 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 16 Chris Ward 2008-12-04 05:16:09 EST
Intel, what is the current status of this bug fix? The fix should be present in the latest RHEL5.3 Snapshot. Please test and send feedback ASAP.
Comment 17 Jane Lv 2008-12-04 20:26:02 EST
We have tested RHEL5.3 from beta to SP4.  GUI installation works on Intel Montevina platform.  So verify this bug.
Comment 19 errata-xmlrpc 2009-01-20 16:28:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.